; .----------------------.
; | HORS 2.0.0 .INI file |
; `----------------------'
;
; This is the HORS (DEE's Graphical Music Interface) .INI file. HORS goes
; through this file after it parses the command-line parameters.
;
; Uncommenting a line simply means deleting the first semicolon (";")
; of a row.
;
; Note: You are changing values here at your own risk. (And you are leaving
;       values unmodified at your own risk as well).
;
; .--------------------------------------------.
; | Initialization and troubleshooting options |
; `--------------------------------------------'
;
; If HORS's detect fails or you just feel like experimenting (at your
; own risk, naturally), you may make HORS think that certain errors are
; not fatal.
;
; These should be quite self-describing. Uncomment to activate.
;IGNORE_VESA_ERROR=1
;IGNORE_MEM_ERROR=1
;
; If you (for some bizarre reason) wish to admire the boot-up messages,
; uncomment the following and it'll ask for keypress before going graphics..
;PAUSE_AFTER_INIT=1
;
; We might release "patch" CFLs in the future. These can be activated by
; using the MOUNT command. Up to 16 patch CFLs can be used. Example:
;MOUNT=letters.cfl
; (uncomment that for a fancy warning message if you don't have letters.cfl)
;
; In order to bypass the DOS4GW's lack of several useful DPMI calls,
; the realmodefunction-calls are done via interrupt. By default, HORS
; uses the first free interrupt it finds starting from 60h
; (DOOM for example uses the same method).
; In some very rare case you might wish to force HORS to use some other
; interrupt. The parameter is in HEX!
;REALMODE_INTERRUPT=78
;
; If for some reason the VESA VBE 2.0 linear framebuffer support does
; not work, or is detected even if you don't have vesa VBE 2.0, uncomment
; the next row:
;FORCE_IGNORE_LFB=1
;
; .------------------------------------------.
; | Performance, preference & detail options |
; `------------------------------------------'
; You can limit the maximum FPS with the following command.
; Lowering this will slow things (such as the games) down, so it's not
; recommended if not neccessary.
; Some things are done every frame (or at least tried to), so you may be
; able to actually increase speed by lowering this value. Please note that
; you're doing that (as well) at your own risk! Valid values range from 20
; to 100. SET THIS TO OTHER VALUES AND BAD THINGS *WILL* HAPPEN.
;SET_MAXIMUM_FPS=60
;
; One of the 'hi-quality' options you can enable are the 'colorful-volumebars'.
; They are more colorful, but they take a bit more processing power than
; the normal ones (and it might even be that you don't like them).
COLORFUL_VOLUMEBARS=1
;
; Would you like the mouse cursor to have a clock in it? Just make sure the
; next option is active.. (The bad thing about this is that the cursor will
; get bigger, and thus will require more processing power).
MOUSE_CLOCK=1
;
; The next option makes sure that you don't slip when handling sliders..
; (you might or might not like it)
STICKY_SLIDERS=1
;
; The next two options adjust the sound quality on soundblaster cards.
; (GUS always uses maximum samplerate and interpolation)
; Samplerate values range from 8000 to 44100, and interpolation is
; either 1 or 0.
; Too high samplerates may crash the system. Please note that the
; player uses panning, so on SB pro the channels are *doubled*.
; Interpolation also hogs power; only way to find the optimal quality
; on your machine is to experiment. (Even 8kHz without interpolation
; may be too much for a 486/25 with SB PRO and 20+ channels)
SB_INTERPOLATION=0
SB_SAMPLERATE=16000
;
; The next option controls the speed of the text rendering function.
; Valid values are 1-2048. Set this to too big and the HORS will
; pause when you select new text to be read. A low value will waste
; time. (Text rendering is called from idle loop so if you set this
; to 1 it still doesn't mean HORS will draw 60 words per second).
TEXT_SPEED=10
;
; Oh, you can adjust the volume too. (You can do this from inside HORS
; as well, but this setting is permanent) Valid values are 0-127.
; (This only affects SB)
SET_VOLUME=48
;
; With the following option you can adjust the number of mouse followers.
; A large number will slow the system down and depending on your system,
; may also cause flicker. Set to 0 to disable. Valid values are 0-127.
MOUSEFOLLOWER_NUMBER=16
;
; The mousefollowers can act different ways.
; 0=classic random movement, 1=small circles, 2=gravity kills, 3=sit'n'rot
MOUSEFOLLOWER_BEHAVIOR=1
;
; This switch controls the bottom greeter; set to 0 to deactivate.
BOTTOM_GREETER=1
;
; If this option is active, changing a tune by clicking a tune name in the
; tunepickbox may display the tuneinfo when you're playing some game, thus
; cancelling the activity.
ACTIVITY_CANCEL=0
;
; If you don't want to see any musicdisk intros, set this to 1.
DISABLE_INTROS=0
;
; HORS Nibbles speed delay factor. Ranges from 2 to 20. Note: setting under
; 2 crashes HORS. (The smaller the value, the faster the worm)
NIBBLE_SPEED=7
;
; You can set the default playtype with the following command.
; 0=loop, 1=single, 2=cycle (default), 3=random.
DEFAULT_PLAYTYPE=2
;
; .-------------------.
; | Directory Control |
; `-------------------'
; This section has only one command. You can organize your DEE disks
; into multiple directories (or even multiple drives) with this feature.
; If a dee .cfl does not find a DISKDIR, it first seeks the current
; directory and then *all* the DISKDIRs for the tunes.
; ** not done yet - perhaps in HORS 2.1.0 **
;DISKDIR=dee1.cfl,dee1\
;DISKDIR=dee2.cfl,dee2\
